> For the complete documentation index, see [llms.txt](https://docs.projetly.ai/home/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.projetly.ai/home/api-reference/users.md).

# Users

## All Users

> This endpoint is used to fetch all users in the current organization

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"Users":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"profile_id":{"type":"string","maxLength":25},"user_id":{"type":"string"},"phone_no":{"type":"string","readOnly":true},"designation":{"type":"string","nullable":true},"tags":{"type":"array","items":{},"nullable":true},"email":{"type":"string","readOnly":true},"role_id":{"type":"string","readOnly":true},"is_demo_data":{"type":"boolean"},"invite_token":{"type":"string","nullable":true},"organization":{"type":"string","maxLength":25},"background_image":{"type":"string","readOnly":true},"profile_image":{"type":"string","readOnly":true},"projects":{"type":"string","readOnly":true},"tasks":{"type":"string","readOnly":true},"full_name":{"type":"string","readOnly":true},"role":{"type":"string","readOnly":true},"cover_image":{"type":"string","readOnly":true},"joining_date":{"type":"string","format":"date","nullable":true},"is_active":{"type":"string","readOnly":true},"is_fir_login":{"type":"string","readOnly":true},"deals":{"type":"string","readOnly":true},"department":{"type":"string","nullable":true},"reports_to":{"type":"object","additionalProperties":{},"nullable":true},"is_team_head":{"type":"boolean"}},"required":["background_image","cover_image","deals","email","full_name","is_active","is_fir_login","organization","phone_no","profile_id","profile_image","projects","role","role_id","tasks"]}}},"paths":{"/api/users/profile/":{"get":{"operationId":"users_profile_list","description":"This endpoint is used to fetch all users in the current organization","summary":"All Users","parameters":[{"in":"query","name":"items_per_page","schema":{"type":"integer"},"description":"Items Per Page","required":true},{"in":"query","name":"page","schema":{"type":"integer"},"description":"Page Number","required":true},{"in":"query","name":"reverse","schema":{"type":"boolean"},"description":"Sorting Order"},{"in":"query","name":"sort","schema":{"type":"string"},"description":"Sorting Key"}],"tags":["Users"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Users"}}}},"description":""}}}}}}
```

## Gets a user detail with the given id

> This endpoint is used to fetch a user profile for the current organization

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"Users":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"profile_id":{"type":"string","maxLength":25},"user_id":{"type":"string"},"phone_no":{"type":"string","readOnly":true},"designation":{"type":"string","nullable":true},"tags":{"type":"array","items":{},"nullable":true},"email":{"type":"string","readOnly":true},"role_id":{"type":"string","readOnly":true},"is_demo_data":{"type":"boolean"},"invite_token":{"type":"string","nullable":true},"organization":{"type":"string","maxLength":25},"background_image":{"type":"string","readOnly":true},"profile_image":{"type":"string","readOnly":true},"projects":{"type":"string","readOnly":true},"tasks":{"type":"string","readOnly":true},"full_name":{"type":"string","readOnly":true},"role":{"type":"string","readOnly":true},"cover_image":{"type":"string","readOnly":true},"joining_date":{"type":"string","format":"date","nullable":true},"is_active":{"type":"string","readOnly":true},"is_fir_login":{"type":"string","readOnly":true},"deals":{"type":"string","readOnly":true},"department":{"type":"string","nullable":true},"reports_to":{"type":"object","additionalProperties":{},"nullable":true},"is_team_head":{"type":"boolean"}},"required":["background_image","cover_image","deals","email","full_name","is_active","is_fir_login","organization","phone_no","profile_id","profile_image","projects","role","role_id","tasks"]}}},"paths":{"/api/users/profile/{id}/":{"get":{"operationId":"users_profile_retrieve","description":"This endpoint is used to fetch a user profile for the current organization","summary":"Gets a user detail with the given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Users"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Users"}}},"description":""}}}}}}
```

## Edits the user with the given id

> This endpoint is used to edit an user for the current organization

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}}},"paths":{"/api/users/profile/{id}/":{"put":{"operationId":"users_profile_update","description":"This endpoint is used to edit an user for the current organization","summary":"Edits the user with the given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Users"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}},"responses":{"200":{"description":"No response body"}}}}}}
```

## Deletes the user with the given id

> This endpoint is used to delete an user for the current organization

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}}},"paths":{"/api/users/profile/{id}/":{"delete":{"operationId":"users_profile_destroy","description":"This endpoint is used to delete an user for the current organization","summary":"Deletes the user with the given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Users"],"responses":{"204":{"description":"No response body"}}}}}}
```

## POST /api/users/profile/action/

> API endpoint that allows users to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"Users":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"profile_id":{"type":"string","maxLength":25},"user_id":{"type":"string"},"phone_no":{"type":"string","readOnly":true},"designation":{"type":"string","nullable":true},"tags":{"type":"array","items":{},"nullable":true},"email":{"type":"string","readOnly":true},"role_id":{"type":"string","readOnly":true},"is_demo_data":{"type":"boolean"},"invite_token":{"type":"string","nullable":true},"organization":{"type":"string","maxLength":25},"background_image":{"type":"string","readOnly":true},"profile_image":{"type":"string","readOnly":true},"projects":{"type":"string","readOnly":true},"tasks":{"type":"string","readOnly":true},"full_name":{"type":"string","readOnly":true},"role":{"type":"string","readOnly":true},"cover_image":{"type":"string","readOnly":true},"joining_date":{"type":"string","format":"date","nullable":true},"is_active":{"type":"string","readOnly":true},"is_fir_login":{"type":"string","readOnly":true},"deals":{"type":"string","readOnly":true},"department":{"type":"string","nullable":true},"reports_to":{"type":"object","additionalProperties":{},"nullable":true},"is_team_head":{"type":"boolean"}},"required":["background_image","cover_image","deals","email","full_name","is_active","is_fir_login","organization","phone_no","profile_id","profile_image","projects","role","role_id","tasks"]}}},"paths":{"/api/users/profile/action/":{"post":{"operationId":"users_profile_action_create","description":"API endpoint that allows users to be created, viewed, deleted or edited.","tags":["Users"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Users"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Users"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Users"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Users"}}},"description":""}}}}}}
```

## GET /api/users/profile/activity/

> API endpoint that allows users to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"Users":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"profile_id":{"type":"string","maxLength":25},"user_id":{"type":"string"},"phone_no":{"type":"string","readOnly":true},"designation":{"type":"string","nullable":true},"tags":{"type":"array","items":{},"nullable":true},"email":{"type":"string","readOnly":true},"role_id":{"type":"string","readOnly":true},"is_demo_data":{"type":"boolean"},"invite_token":{"type":"string","nullable":true},"organization":{"type":"string","maxLength":25},"background_image":{"type":"string","readOnly":true},"profile_image":{"type":"string","readOnly":true},"projects":{"type":"string","readOnly":true},"tasks":{"type":"string","readOnly":true},"full_name":{"type":"string","readOnly":true},"role":{"type":"string","readOnly":true},"cover_image":{"type":"string","readOnly":true},"joining_date":{"type":"string","format":"date","nullable":true},"is_active":{"type":"string","readOnly":true},"is_fir_login":{"type":"string","readOnly":true},"deals":{"type":"string","readOnly":true},"department":{"type":"string","nullable":true},"reports_to":{"type":"object","additionalProperties":{},"nullable":true},"is_team_head":{"type":"boolean"}},"required":["background_image","cover_image","deals","email","full_name","is_active","is_fir_login","organization","phone_no","profile_id","profile_image","projects","role","role_id","tasks"]}}},"paths":{"/api/users/profile/activity/":{"get":{"operationId":"users_profile_activity_retrieve","description":"API endpoint that allows users to be created, viewed, deleted or edited.","tags":["Users"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Users"}}},"description":""}}}}}}
```

## POST /api/users/profile/attachfile/

> API endpoint that allows users to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"Users":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"profile_id":{"type":"string","maxLength":25},"user_id":{"type":"string"},"phone_no":{"type":"string","readOnly":true},"designation":{"type":"string","nullable":true},"tags":{"type":"array","items":{},"nullable":true},"email":{"type":"string","readOnly":true},"role_id":{"type":"string","readOnly":true},"is_demo_data":{"type":"boolean"},"invite_token":{"type":"string","nullable":true},"organization":{"type":"string","maxLength":25},"background_image":{"type":"string","readOnly":true},"profile_image":{"type":"string","readOnly":true},"projects":{"type":"string","readOnly":true},"tasks":{"type":"string","readOnly":true},"full_name":{"type":"string","readOnly":true},"role":{"type":"string","readOnly":true},"cover_image":{"type":"string","readOnly":true},"joining_date":{"type":"string","format":"date","nullable":true},"is_active":{"type":"string","readOnly":true},"is_fir_login":{"type":"string","readOnly":true},"deals":{"type":"string","readOnly":true},"department":{"type":"string","nullable":true},"reports_to":{"type":"object","additionalProperties":{},"nullable":true},"is_team_head":{"type":"boolean"}},"required":["background_image","cover_image","deals","email","full_name","is_active","is_fir_login","organization","phone_no","profile_id","profile_image","projects","role","role_id","tasks"]}}},"paths":{"/api/users/profile/attachfile/":{"post":{"operationId":"users_profile_attachfile_create","description":"API endpoint that allows users to be created, viewed, deleted or edited.","tags":["Users"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Users"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Users"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Users"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Users"}}},"description":""}}}}}}
```

## Get Customer Details

> This endpoint is used to get all customer users in the organization with their details including name, designation, email, joining date, is\_first\_login, mapped projects, and mapped deals

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}}},"paths":{"/api/users/profile/cus-details/":{"get":{"operationId":"users_profile_cus_details_retrieve","description":"This endpoint is used to get all customer users in the organization with their details including name, designation, email, joining date, is_first_login, mapped projects, and mapped deals","summary":"Get Customer Details","tags":["Users"],"responses":{"200":{"description":"No response body"}}}}}}
```

## Adds a customer invite

> This endpoint is used to add a customer invite which creates an organization customer role for the given email and associates it with a list of project or deal IDs

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}}},"paths":{"/api/users/profile/cus-invite/":{"post":{"operationId":"users_profile_cus_invite_create","description":"This endpoint is used to add a customer invite which creates an organization customer role for the given email and associates it with a list of project or deal IDs","summary":"Adds a customer invite","tags":["Users"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}},"responses":{"201":{"description":"No response body"}}}}}}
```

## Update Customer Project Mapping

> This endpoint updates the project mapping for a customer user based on the given user\_id and list of project\_ids. If the list is empty, all projects are removed from that customer.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}}},"paths":{"/api/users/profile/cus-project-map/":{"post":{"operationId":"users_profile_cus_project_map_create","description":"This endpoint updates the project mapping for a customer user based on the given user_id and list of project_ids. If the list is empty, all projects are removed from that customer.","summary":"Update Customer Project Mapping","tags":["Users"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}},"responses":{"200":{"description":"No response body"}}}}}}
```

## Deletes a designation

> This endpoint is used to delete a designation

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}}},"paths":{"/api/users/profile/del_designation/":{"post":{"operationId":"users_profile_del_designation_create","description":"This endpoint is used to delete a designation","summary":"Deletes a designation","tags":["Users"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}},"responses":{"200":{"description":"No response body"}}}}}}
```

## GET /api/users/profile/department-options/

> API endpoint that allows users to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"Users":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"profile_id":{"type":"string","maxLength":25},"user_id":{"type":"string"},"phone_no":{"type":"string","readOnly":true},"designation":{"type":"string","nullable":true},"tags":{"type":"array","items":{},"nullable":true},"email":{"type":"string","readOnly":true},"role_id":{"type":"string","readOnly":true},"is_demo_data":{"type":"boolean"},"invite_token":{"type":"string","nullable":true},"organization":{"type":"string","maxLength":25},"background_image":{"type":"string","readOnly":true},"profile_image":{"type":"string","readOnly":true},"projects":{"type":"string","readOnly":true},"tasks":{"type":"string","readOnly":true},"full_name":{"type":"string","readOnly":true},"role":{"type":"string","readOnly":true},"cover_image":{"type":"string","readOnly":true},"joining_date":{"type":"string","format":"date","nullable":true},"is_active":{"type":"string","readOnly":true},"is_fir_login":{"type":"string","readOnly":true},"deals":{"type":"string","readOnly":true},"department":{"type":"string","nullable":true},"reports_to":{"type":"object","additionalProperties":{},"nullable":true},"is_team_head":{"type":"boolean"}},"required":["background_image","cover_image","deals","email","full_name","is_active","is_fir_login","organization","phone_no","profile_id","profile_image","projects","role","role_id","tasks"]}}},"paths":{"/api/users/profile/department-options/":{"get":{"operationId":"users_profile_department_options_retrieve","description":"API endpoint that allows users to be created, viewed, deleted or edited.","tags":["Users"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Users"}}},"description":""}}}}}}
```

## Updates a designation name

> This endpoint is used to update the name of a designation

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}}},"paths":{"/api/users/profile/designation/":{"post":{"operationId":"users_profile_designation_create","description":"This endpoint is used to update the name of a designation","summary":"Updates a designation name","tags":["Users"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}},"responses":{"200":{"description":"No response body"}}}}}}
```

## Get Designation Options

> This endpoint is used to get the list of designations for the current organization

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"Users":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"profile_id":{"type":"string","maxLength":25},"user_id":{"type":"string"},"phone_no":{"type":"string","readOnly":true},"designation":{"type":"string","nullable":true},"tags":{"type":"array","items":{},"nullable":true},"email":{"type":"string","readOnly":true},"role_id":{"type":"string","readOnly":true},"is_demo_data":{"type":"boolean"},"invite_token":{"type":"string","nullable":true},"organization":{"type":"string","maxLength":25},"background_image":{"type":"string","readOnly":true},"profile_image":{"type":"string","readOnly":true},"projects":{"type":"string","readOnly":true},"tasks":{"type":"string","readOnly":true},"full_name":{"type":"string","readOnly":true},"role":{"type":"string","readOnly":true},"cover_image":{"type":"string","readOnly":true},"joining_date":{"type":"string","format":"date","nullable":true},"is_active":{"type":"string","readOnly":true},"is_fir_login":{"type":"string","readOnly":true},"deals":{"type":"string","readOnly":true},"department":{"type":"string","nullable":true},"reports_to":{"type":"object","additionalProperties":{},"nullable":true},"is_team_head":{"type":"boolean"}},"required":["background_image","cover_image","deals","email","full_name","is_active","is_fir_login","organization","phone_no","profile_id","profile_image","projects","role","role_id","tasks"]}}},"paths":{"/api/users/profile/designation-options/":{"get":{"operationId":"users_profile_designation_options_retrieve","description":"This endpoint is used to get the list of designations for the current organization","summary":"Get Designation Options","tags":["Users"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Users"}}},"description":""}}}}}}
```

## GET /api/users/profile/get\_notify\_pre/

> API endpoint that allows users to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"Users":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"profile_id":{"type":"string","maxLength":25},"user_id":{"type":"string"},"phone_no":{"type":"string","readOnly":true},"designation":{"type":"string","nullable":true},"tags":{"type":"array","items":{},"nullable":true},"email":{"type":"string","readOnly":true},"role_id":{"type":"string","readOnly":true},"is_demo_data":{"type":"boolean"},"invite_token":{"type":"string","nullable":true},"organization":{"type":"string","maxLength":25},"background_image":{"type":"string","readOnly":true},"profile_image":{"type":"string","readOnly":true},"projects":{"type":"string","readOnly":true},"tasks":{"type":"string","readOnly":true},"full_name":{"type":"string","readOnly":true},"role":{"type":"string","readOnly":true},"cover_image":{"type":"string","readOnly":true},"joining_date":{"type":"string","format":"date","nullable":true},"is_active":{"type":"string","readOnly":true},"is_fir_login":{"type":"string","readOnly":true},"deals":{"type":"string","readOnly":true},"department":{"type":"string","nullable":true},"reports_to":{"type":"object","additionalProperties":{},"nullable":true},"is_team_head":{"type":"boolean"}},"required":["background_image","cover_image","deals","email","full_name","is_active","is_fir_login","organization","phone_no","profile_id","profile_image","projects","role","role_id","tasks"]}}},"paths":{"/api/users/profile/get_notify_pre/":{"get":{"operationId":"users_profile_get_notify_pre_retrieve","description":"API endpoint that allows users to be created, viewed, deleted or edited.","tags":["Users"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Users"}}},"description":""}}}}}}
```

## POST /api/users/profile/login-session/

> API endpoint that allows users to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"Users":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"profile_id":{"type":"string","maxLength":25},"user_id":{"type":"string"},"phone_no":{"type":"string","readOnly":true},"designation":{"type":"string","nullable":true},"tags":{"type":"array","items":{},"nullable":true},"email":{"type":"string","readOnly":true},"role_id":{"type":"string","readOnly":true},"is_demo_data":{"type":"boolean"},"invite_token":{"type":"string","nullable":true},"organization":{"type":"string","maxLength":25},"background_image":{"type":"string","readOnly":true},"profile_image":{"type":"string","readOnly":true},"projects":{"type":"string","readOnly":true},"tasks":{"type":"string","readOnly":true},"full_name":{"type":"string","readOnly":true},"role":{"type":"string","readOnly":true},"cover_image":{"type":"string","readOnly":true},"joining_date":{"type":"string","format":"date","nullable":true},"is_active":{"type":"string","readOnly":true},"is_fir_login":{"type":"string","readOnly":true},"deals":{"type":"string","readOnly":true},"department":{"type":"string","nullable":true},"reports_to":{"type":"object","additionalProperties":{},"nullable":true},"is_team_head":{"type":"boolean"}},"required":["background_image","cover_image","deals","email","full_name","is_active","is_fir_login","organization","phone_no","profile_id","profile_image","projects","role","role_id","tasks"]}}},"paths":{"/api/users/profile/login-session/":{"post":{"operationId":"users_profile_login_session_create","description":"API endpoint that allows users to be created, viewed, deleted or edited.","tags":["Users"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Users"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Users"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Users"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Users"}}},"description":""}}}}}}
```

## POST /api/users/profile/logout/

> API endpoint that allows users to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"Users":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"profile_id":{"type":"string","maxLength":25},"user_id":{"type":"string"},"phone_no":{"type":"string","readOnly":true},"designation":{"type":"string","nullable":true},"tags":{"type":"array","items":{},"nullable":true},"email":{"type":"string","readOnly":true},"role_id":{"type":"string","readOnly":true},"is_demo_data":{"type":"boolean"},"invite_token":{"type":"string","nullable":true},"organization":{"type":"string","maxLength":25},"background_image":{"type":"string","readOnly":true},"profile_image":{"type":"string","readOnly":true},"projects":{"type":"string","readOnly":true},"tasks":{"type":"string","readOnly":true},"full_name":{"type":"string","readOnly":true},"role":{"type":"string","readOnly":true},"cover_image":{"type":"string","readOnly":true},"joining_date":{"type":"string","format":"date","nullable":true},"is_active":{"type":"string","readOnly":true},"is_fir_login":{"type":"string","readOnly":true},"deals":{"type":"string","readOnly":true},"department":{"type":"string","nullable":true},"reports_to":{"type":"object","additionalProperties":{},"nullable":true},"is_team_head":{"type":"boolean"}},"required":["background_image","cover_image","deals","email","full_name","is_active","is_fir_login","organization","phone_no","profile_id","profile_image","projects","role","role_id","tasks"]}}},"paths":{"/api/users/profile/logout/":{"post":{"operationId":"users_profile_logout_create","description":"API endpoint that allows users to be created, viewed, deleted or edited.","tags":["Users"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Users"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Users"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Users"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Users"}}},"description":""}}}}}}
```

## POST /api/users/profile/re-invite/

> API endpoint that allows users to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"Users":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"profile_id":{"type":"string","maxLength":25},"user_id":{"type":"string"},"phone_no":{"type":"string","readOnly":true},"designation":{"type":"string","nullable":true},"tags":{"type":"array","items":{},"nullable":true},"email":{"type":"string","readOnly":true},"role_id":{"type":"string","readOnly":true},"is_demo_data":{"type":"boolean"},"invite_token":{"type":"string","nullable":true},"organization":{"type":"string","maxLength":25},"background_image":{"type":"string","readOnly":true},"profile_image":{"type":"string","readOnly":true},"projects":{"type":"string","readOnly":true},"tasks":{"type":"string","readOnly":true},"full_name":{"type":"string","readOnly":true},"role":{"type":"string","readOnly":true},"cover_image":{"type":"string","readOnly":true},"joining_date":{"type":"string","format":"date","nullable":true},"is_active":{"type":"string","readOnly":true},"is_fir_login":{"type":"string","readOnly":true},"deals":{"type":"string","readOnly":true},"department":{"type":"string","nullable":true},"reports_to":{"type":"object","additionalProperties":{},"nullable":true},"is_team_head":{"type":"boolean"}},"required":["background_image","cover_image","deals","email","full_name","is_active","is_fir_login","organization","phone_no","profile_id","profile_image","projects","role","role_id","tasks"]}}},"paths":{"/api/users/profile/re-invite/":{"post":{"operationId":"users_profile_re_invite_create","description":"API endpoint that allows users to be created, viewed, deleted or edited.","tags":["Users"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Users"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Users"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Users"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Users"}}},"description":""}}}}}}
```

## POST /api/users/profile/rolemap/

> API endpoint that allows users to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"Users":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"profile_id":{"type":"string","maxLength":25},"user_id":{"type":"string"},"phone_no":{"type":"string","readOnly":true},"designation":{"type":"string","nullable":true},"tags":{"type":"array","items":{},"nullable":true},"email":{"type":"string","readOnly":true},"role_id":{"type":"string","readOnly":true},"is_demo_data":{"type":"boolean"},"invite_token":{"type":"string","nullable":true},"organization":{"type":"string","maxLength":25},"background_image":{"type":"string","readOnly":true},"profile_image":{"type":"string","readOnly":true},"projects":{"type":"string","readOnly":true},"tasks":{"type":"string","readOnly":true},"full_name":{"type":"string","readOnly":true},"role":{"type":"string","readOnly":true},"cover_image":{"type":"string","readOnly":true},"joining_date":{"type":"string","format":"date","nullable":true},"is_active":{"type":"string","readOnly":true},"is_fir_login":{"type":"string","readOnly":true},"deals":{"type":"string","readOnly":true},"department":{"type":"string","nullable":true},"reports_to":{"type":"object","additionalProperties":{},"nullable":true},"is_team_head":{"type":"boolean"}},"required":["background_image","cover_image","deals","email","full_name","is_active","is_fir_login","organization","phone_no","profile_id","profile_image","projects","role","role_id","tasks"]}}},"paths":{"/api/users/profile/rolemap/":{"post":{"operationId":"users_profile_rolemap_create","description":"API endpoint that allows users to be created, viewed, deleted or edited.","tags":["Users"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Users"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Users"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Users"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Users"}}},"description":""}}}}}}
```

## POST /api/users/profile/save\_notify\_pre/

> API endpoint that allows users to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"Users":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"profile_id":{"type":"string","maxLength":25},"user_id":{"type":"string"},"phone_no":{"type":"string","readOnly":true},"designation":{"type":"string","nullable":true},"tags":{"type":"array","items":{},"nullable":true},"email":{"type":"string","readOnly":true},"role_id":{"type":"string","readOnly":true},"is_demo_data":{"type":"boolean"},"invite_token":{"type":"string","nullable":true},"organization":{"type":"string","maxLength":25},"background_image":{"type":"string","readOnly":true},"profile_image":{"type":"string","readOnly":true},"projects":{"type":"string","readOnly":true},"tasks":{"type":"string","readOnly":true},"full_name":{"type":"string","readOnly":true},"role":{"type":"string","readOnly":true},"cover_image":{"type":"string","readOnly":true},"joining_date":{"type":"string","format":"date","nullable":true},"is_active":{"type":"string","readOnly":true},"is_fir_login":{"type":"string","readOnly":true},"deals":{"type":"string","readOnly":true},"department":{"type":"string","nullable":true},"reports_to":{"type":"object","additionalProperties":{},"nullable":true},"is_team_head":{"type":"boolean"}},"required":["background_image","cover_image","deals","email","full_name","is_active","is_fir_login","organization","phone_no","profile_id","profile_image","projects","role","role_id","tasks"]}}},"paths":{"/api/users/profile/save_notify_pre/":{"post":{"operationId":"users_profile_save_notify_pre_create","description":"API endpoint that allows users to be created, viewed, deleted or edited.","tags":["Users"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Users"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Users"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Users"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Users"}}},"description":""}}}}}}
```

## GET /api/users/profile/user\_option/

> API endpoint that allows users to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"Users":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"profile_id":{"type":"string","maxLength":25},"user_id":{"type":"string"},"phone_no":{"type":"string","readOnly":true},"designation":{"type":"string","nullable":true},"tags":{"type":"array","items":{},"nullable":true},"email":{"type":"string","readOnly":true},"role_id":{"type":"string","readOnly":true},"is_demo_data":{"type":"boolean"},"invite_token":{"type":"string","nullable":true},"organization":{"type":"string","maxLength":25},"background_image":{"type":"string","readOnly":true},"profile_image":{"type":"string","readOnly":true},"projects":{"type":"string","readOnly":true},"tasks":{"type":"string","readOnly":true},"full_name":{"type":"string","readOnly":true},"role":{"type":"string","readOnly":true},"cover_image":{"type":"string","readOnly":true},"joining_date":{"type":"string","format":"date","nullable":true},"is_active":{"type":"string","readOnly":true},"is_fir_login":{"type":"string","readOnly":true},"deals":{"type":"string","readOnly":true},"department":{"type":"string","nullable":true},"reports_to":{"type":"object","additionalProperties":{},"nullable":true},"is_team_head":{"type":"boolean"}},"required":["background_image","cover_image","deals","email","full_name","is_active","is_fir_login","organization","phone_no","profile_id","profile_image","projects","role","role_id","tasks"]}}},"paths":{"/api/users/profile/user_option/":{"get":{"operationId":"users_profile_user_option_retrieve","description":"API endpoint that allows users to be created, viewed, deleted or edited.","tags":["Users"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Users"}}},"description":""}}}}}}
```
